Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.IO
Imports System.Net
Imports System.Text

Partial Public Class _Default
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)

	End Sub
	Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
		Dim v As New SautinSoft.PdfVision()

		'Specify top and bottom page margins
		v.PageStyle.PageMarginTop.Mm(5F)
		v.PageStyle.PageMarginBottom.Mm(25F)

		Dim html As String = GetHtml()
		Dim pdfBytes() As Byte = Nothing

		v.ImageStyle.HtmlTimeOutForScripts = 0F

		pdfBytes = v.ConvertHtmlStringToPDFStream(html)

		'show PDF
		If pdfBytes IsNot Nothing Then
			Response.Buffer = True
			Response.Clear()
			Response.ContentType = "application/PDF"
			'Response.AddHeader("Content-Disposition:", "attachment; filename=Result.pdf");
			Response.AddHeader("Content-Disposition:", "inline; filename=Result.pdf")
			Response.BinaryWrite(pdfBytes)
			Response.Flush()
			Response.End()
		End If

	End Sub
	Private Function GetHtml() As String
		Dim pageURL As String = System.Web.HttpContext.Current.Request.Url.AbsoluteUri

		Dim mywebReq As WebRequest = WebRequest.Create(pageURL)
		Dim mywebResp As WebResponse = mywebReq.GetResponse()
		Dim sr As New StreamReader(mywebResp.GetResponseStream(), System.Text.Encoding.UTF8)
		Return sr.ReadToEnd()
	End Function
End Class
